Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client
Class ContentExchange

    java.lang.Object
      org.mortbay.jetty.client.HttpExchange
          org.mortbay.jetty.client.CachedExchange
              org.mortbay.jetty.client.ContentExchange

Direct Known Subclasses:
  HttpExchange.ContentExchange

    public class ContentExchange

extends CachedExchange

A CachedExchange that retains all content for later use.

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.client.HttpExchange
`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

Field Summary

Fields inherited from class org.mortbay.jetty.client.HttpExchange
`STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

Constructor Summary
`ContentExchange()`
`ContentExchange(boolean cacheFields)`

Method Summary
`File` | `getFileForUpload()`
`String` | `getResponseContent()`
`protected void` | `onResponseContent(Buffer content)`
`protected void` | `onResponseHeader(Buffer name, Buffer value)`
`protected void` | `onRetry()`
`void` | `setFileForUpload(File fileForUpload)`

Methods inherited from class org.mortbay.jetty.client.CachedExchange
`getResponseFields, getResponseStatus, onResponseStatus`

Methods inherited from class org.mortbay.jetty.client.HttpExchange
`addRequestHeader, addRequestHeader, cancel, configureListeners, getAddress, getEventListener, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRetryStatus, getScheme, getStatus, getURI, getVersion, isDone, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseHeaderComplete, reset, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRetryStatus, setScheme, setURI, setURL, setVersion, setVersion, toString, waitForDone, waitForStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentExchange

    public ContentExchange()

### ContentExchange

    public ContentExchange(boolean cacheFields)

Method Detail

### getResponseContent

    public String getResponseContent()
                              throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### onResponseHeader

    protected void onResponseHeader(Buffer name,
                                    Buffer value)
                             throws IOException

  Overrides:
    `onResponseHeader` in class `CachedExchange`
  Throws:
    `IOException`

### onResponseContent

    protected void onResponseContent(Buffer content)
                              throws IOException

  Overrides:
    `onResponseContent` in class `HttpExchange`
  Throws:
    `IOException`

### onRetry

    protected void onRetry()
                    throws IOException

  Overrides:
    `onRetry` in class `HttpExchange`
  Throws:
    `IOException`

### getFileForUpload

    public File getFileForUpload()

### setFileForUpload

    public void setFileForUpload(File fileForUpload)
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.